Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(316)

Issue 7132061: Support for service positions from server

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 3 months ago by bcsaller
Modified:
8 years, 3 months ago
Reviewers:
mp+143980
Visibility:
Public.

Description

Support for service positions from server Provides support for loading initial and updated position from annotations stored on the server. Updates occur via a shared codepath with the drag event handler to ensure proper updates are applied over time. There is still an issue with deltas interrupting the drag. https://code.launchpad.net/~bcsaller/juju-gui/persistent-layout/+merge/143980 (do not edit description out of merge proposal)

Patch Set 1 #

Patch Set 2 : Support for service positions from server #

Patch Set 3 : Support for service positions from server #

Total comments: 19

Patch Set 4 : Support for service positions from server #

Patch Set 5 : Support for service positions from server #

Unified diffs Side-by-side diffs Delta from patch set Stats (+495 lines, -318 lines) Patch
A [revision details] View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M app/app.js View 1 2 chunks +6 lines, -1 line 0 comments Download
M app/models/models.js View 1 chunk +0 lines, -1 line 0 comments Download
M app/store/notifications.js View 1 2 3 2 chunks +12 lines, -13 lines 0 comments Download
M app/views/environment.js View 1 2 3 1 chunk +21 lines, -0 lines 0 comments Download
M app/views/topology/service.js View 1 2 3 4 13 chunks +247 lines, -146 lines 0 comments Download
M test/test_environment_view.js View 1 4 chunks +44 lines, -5 lines 0 comments Download
M test/test_service_module.js View 1 2 chunks +2 lines, -2 lines 0 comments Download
M test/test_topology.js View 1 2 3 2 chunks +11 lines, -5 lines 0 comments Download
M undocumented View 1 3 chunks +150 lines, -145 lines 0 comments Download

Messages

Total messages: 9
bcsaller
Please take a look.
8 years, 3 months ago (2013-01-19 07:10:26 UTC) #1
bcsaller
Please take a look.
8 years, 3 months ago (2013-01-19 15:02:17 UTC) #2
bcsaller
Thanks for taking a peek, I resolved the merge and proposed again.
8 years, 3 months ago (2013-01-19 15:02:45 UTC) #3
bcsaller
Please take a look.
8 years, 3 months ago (2013-01-19 15:15:40 UTC) #4
gary.poster
Hi Ben. Thank you for this branch. Land with changes (specifically reinstating some of Nicola's ...
8 years, 3 months ago (2013-01-20 15:58:45 UTC) #5
bcsaller
Thanks for the review, I'll attempt to address the issues today.
8 years, 3 months ago (2013-01-20 17:10:46 UTC) #6
frankban
Hi Ben, thanks for this branch. I have not so much to add to Gary's ...
8 years, 3 months ago (2013-01-21 11:19:45 UTC) #7
bcsaller
https://codereview.appspot.com/7132061/diff/6001/app/app.js File app/app.js (right): https://codereview.appspot.com/7132061/diff/6001/app/app.js#newcode351 app/app.js:351: active.update(); On 2013/01/20 15:58:45, gary.poster wrote: > cool Thanks, ...
8 years, 3 months ago (2013-01-21 15:40:31 UTC) #8
bcsaller
8 years, 3 months ago (2013-01-21 17:08:58 UTC) #9
*** Submitted:

Support for service positions from server

Provides support for loading initial and updated position 
from annotations stored on the server. Updates occur
via a shared codepath with the drag event handler
to ensure proper updates are applied over time.

There is still an issue with deltas interrupting the drag.

R=gary.poster, frankban
CC=
https://codereview.appspot.com/7132061
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b